--batch commands are supposed to notice changes that get made to the
journal while they are running. This way, if two batch commands are run,
one making changes and the other reading the values, the reader notices the
changes.

That does not currently happen. Looks like runUpdateOnce runs before 
enableInteractiveBranchAccess, and so sets journalIgnorable. Only if the
batch command writes to the journal does journalIgnorable get unset, and
then the command will notice journalled changes by itself or others.
But query commands 

> [[fixed|done]] --[[Joey]]
